%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1

%define svn	862
%define release %mkrel 0.%{svn}.2

Name:		kiba-plugins
Version:	0.1
Release:	%{release}
Summary:	Various plugins for Kiba-Dock
Group:		System/X11
URL:		http://www.kiba-dock.org/
Source0:	%{name}-%{svn}.tar.lzma
License:	GPLv2+
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	kiba-dock-devel = %{version}
BuildRequires:	intltool
BuildRequires:	librsvg-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libalsa-devel
BuildRequires:	libgtop2.0-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	gnomeui2-devel
BuildRequires:	gnome-menus-devel
BuildRequires:	startup-notification-devel
Requires:	kiba-dock

%description
This package contains several plugins for Kiba-Dock. It includes
various volume controls, a clock, calendar, system information tool,
and several other plugins.

%prep
%setup -q -n %{name}

%build
sh autogen.sh -V
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog 
%{_libdir}/kiba-dock
%{_datadir}/kiba-dock/config_schemas/*/*.xml
%{_datadir}/kiba-dock/icons/*
%{_datadir}/kiba-dock/ui/*


%changelog
* Fri Aug 29 2008 Adam Williamson <awilliamson@mandriva.com> 0.1-0.862.2mdv2009.0
+ Revision: 277444
- enable some plugins which seem to be needed for kiba to run

* Sat Aug 16 2008 Adam Williamson <awilliamson@mandriva.com> 0.1-0.862.1mdv2009.0
+ Revision: 272488
- revert filelist change which is only relevant when building something that
  doesn't get built on bs
- akamaru still isn't enabled it seems...
- disable underlinking protection (breaks build and there's no shared lib here)
- enable akamaru build
- new snapshot 862

* Thu Mar 06 2008 Adam Williamson <awilliamson@mandriva.com> 0.1-0.722.1mdv2008.1
+ Revision: 180291
- buildrequires librsvg-devel
- import kiba-plugins


